Bug 45116 - nmh SRPM needs several build dependencies listed
nmh SRPM needs several build dependencies listed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nmh (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 08:11 EDT by Jay Turner
Modified: 2015-01-07 18:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 09:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen Foster 2001-06-20 08:11:39 EDT
Description of Problem: with the 7.1 product, you cannot build the nmh SRPM
without having the following RPMs installed:
	libtermcap-devel
	db1-devel
	db2-devel

But, if "rpm -ba /usr/src/redhat/SPECS/nmh*spec" is executed, you do NOT
get an error from rpm about missing/unsatisfied build dependencies from the
above list of RPMs. If you install the above list of RPMs, the nmh SRPM
builds with no errors.

How Reproducible: Always

Steps to Reproduce:
    1. rpm -e <above-list-of-RPMs>
    2. rpm -Uvh <tree-path>/SRPMS/nmh*.src.rpm
    3. rpm -ba /usr/src/redhat/SPECS/nmh*spec
    4. rpm -Uvh <tree-path>/RedHat/RPMS/<above-list-of-RPMs> (and their
 associated dependencies)
    5. rpm -ba /usr/src/redhat/SPECS/nmh*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the nmh SRPM cannot be built without installing the
above list of RPMs.
Comment 1 Florian La Roche 2001-06-25 09:19:04 EDT
Fixed in newest rpm.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.